<?php
/**
 * WoWRoster.net WoWRoster
 *
 *
 * @copyright  2012 WoWRoster.de
 * @license    http://www.gnu.org/licenses/gpl.html   Licensed under the GNU General Public License v3.
 * @version    SVN: $Id: char_notes.php 0001 2012-05-30 01:23:00Z webmaster@wowroster.de $
 * @link       http://www.wowroster.de
 * @package    MembersList
 * @subpackage MemberList Plugins
 */

class char_notes
{

	var $members_list_select;
	var $members_list_table;
	var $members_list_where = array();
	var $members_list_fields = array();

	/*
	*	These Vars are used with the new Plugin installer
	*	@var name - unique name for the plugin
	*	@var parent - the intended addon to use this plugin
	*
	*/
	var $active = true;
	var $name = 'char_notes';
	var $filename = 'memberslist-guild-char_notes.php';
	var $parent = 'memberslist';
	var $icon = 'inv_misc_book_03';
	var $version = '2.3.0';
	var $oldversion = '';
	var $wrnet_id = '';

	var $fullname = 'Character Notes Icon';
	var $description = 'Displays a icon if a character had a note.';
	var $credits = array(
		array(	"name"=>	"Nefuh <webmaster@wowroster.de>",
				"info"=>	"Char Notes (Alpha Release)"),
	);
	

	/*
	*	__construct
	*	this is there the veriables for the addons are
	*	set in the plugin these are unique to each addon
	*
	*	contact the addon author is you have a sugestion
	*	as to where plugin code should occure or use there descression
	*/

	public function __construct()
	{
		global $roster;
		$this->members_list_select = 'COUNT(`note_id`) AS \'note_id\', ';

		$this->members_list_table = 'LEFT JOIN `'.$roster->db->table('data', 'characters_notes').'` AS notes ON `members`.`member_id` = `notes`.`char_id` ';

		$this->members_list_where['char_notes'] = "`rep`.`name` IS NULL OR `rep`.`name` IS NOT NULL";
		$this->members_list_fields['char_notes'] = array (
				'lang_field' => 'note',
				'value'      => 'char_notes_function::char_notes',
				'order'      => array(),
				'order_d'    => array(),
				'filter'     => false,
				'display'    => 5
			);
	}
}
abstract class char_notes_function
{
	
	public function char_notes ( $row, $field )
	{
		global $roster, $member_list_where;
        $ret = null;        
        $sql = "SELECT * FROM `".$roster->db->table('data', 'characters_notes')."` WHERE `char_id` = ".(int)$row['member_id'].";";
        $res = $roster->db->query($sql);
        $num_rows = $roster->db->num_rows($res);
        if ($num_rows > 0)
        {
            $link_to_addon = makelink('char-characters_notes&a=c:'+$row['member_id'], true);
            $tmp = explode('?', $link_to_addon);
            $link_to_addon = $tmp[0].'?p=char-characters_notes&a=c:'.$row['member_id'];
            unset($tmp);
            $ret = '<a href="'.$link_to_addon.'"><img src="' . $roster->config['interface_url'] . '/Interface/Icons/inv_misc_book_03.png" height="24" alt="note" /></a>';
        }
        else $ret = null;
        return $ret;
	}
}
